﻿using System;

namespace PrintSpoolerLibrary {
    public class PrintServerMonitor : IDisposable {
        private readonly string _machineName;

        public PrintServerMonitor()
            : this(Environment.MachineName) {
        }

        public PrintServerMonitor(string machineName) {
            this._machineName = machineName;
        }

        public string MachineName {
            get { return this._machineName; }
        }

        #region IDisposable Members

        public void Dispose() {
        }

        #endregion
    }
}